import { handleActions } from 'redux-seamless-reducers';

import { reducer as messageHide } from './messageHide';
import { reducer as messageShow } from './messageShow';


const DefaultState = {
    entries: []
};

const actions = {
    ...messageHide,
    ...messageShow
};

export default () => {
    return {
        messages: handleActions(actions, DefaultState)
    };
};
